
<nav class="admin-nav">
    <div class="logo-container">
        <a class="logo-img" href="javascript:void()" title="logo">
            <img class="img-fluid" src="../../assets/images/Saned-logo-Inversed.png" alt="logo">
        </a>
    </div>
    <ul>
        <ng-container *ngFor="let navLink of adminNavLinks">
            <li *ngIf="navLink.active"
        (click)="navClick(navLink)" 
        [ngClass]="{'active-nav': navLink.isActiveLink}" 
        [ngStyle]="(!navLink.active && (userType === 'Admin')) && {'pointer-events': 'none'}"
        (mouseover)="navLink.url = navLink.hoverImg"
        (mouseout)="navLink.url = navLink.isActiveLink ? navLink.hoverImg : navLink.imgUrl "
        >
            <a *ngIf="navLink.active" routerLink={{navLink.routerLink}} title={{navLink.name}}>
                <img class="img-fluid" [src]="navLink.url" alt={{navLink.name}}>
                <!-- <i *ngIf="navLink.name === 'HREmployee'" class="fa fa-user" aria-hidden="true"></i> -->
                <span class="icon-name">{{navLink.fullName}}</span>
            </a>
            <div class="sub-menu" *ngIf="navLink.fullName === 'My Reports'" [ngClass]="{'finance-report': isFinanceUser}">
                <ul>
                    <ng-container *ngIf="isHrUser">
                        <li *ngFor="let report of hrNavReports" (click)="openIframe(report.key)">
                            <a href="javascript:void()">
                                <img class="img-fluid" src="../../../../../assets/images/icons/menu/my_report_grey.png" alt="report">
                                <span class="icon-name">{{report.name}}</span>
                            </a>
                        </li>
                    </ng-container>
                    <ng-container *ngIf="isFinanceUser">
                        <li *ngFor="let report of financeNavReports" (click)="openIframe(report.key)">
                            <a href="javascript:void()">
                                <img class="img-fluid" src="../../../../../assets/images/icons/menu/my_report_grey.png" alt="report">
                                <span class="icon-name">{{report.name}}</span>
                            </a>
                        </li>
                    </ng-container>
                </ul> 
            </div>
            <div class="sub-menu" *ngIf="navLink.fullName === 'saned compass'">
                <ul>
                    <li *ngFor="let report of compassReports" (click)="openIframe(report.key)">
                        <a href="javascript:void()">
                            <img class="img-fluid" src="../../../../../assets/images/icons/menu/my_report_grey.png" alt="report">
                            <span class="icon-name">{{report.name}}</span>
                        </a>
                    </li>
                </ul> 
            </div>
        </li>
        </ng-container>
    </ul>
</nav>